import type { meta } from './types/UserReports';
declare class DprPollingHelper {
    readonly POLLING_FREQUENCY = 3000;
    readonly POLLING_EXPIRED_FREQUENCY = 60000;
    readonly POLLING_STATUSES: readonly string[];
    getRequestStatus(metaData: meta, csrfToken: string): Promise<{
        status?: string;
    } | null>;
    getStatus(endpoint: string, body: meta, csrfToken: string): Promise<{
        status?: string;
        isExpired?: boolean;
    } | null>;
}
export { DprPollingHelper };
export default DprPollingHelper;
